SDL Library Documentation
Prev |  | Next

# SDL_GL_LoadLibrary

## Name

SDL_GL_LoadLibrary -- Specify an OpenGL library

## Synopsis

    #include "SDL.h"

``int SDL_GL_LoadLibrary`(const char *path);`

## Description

If you wish, you may load the OpenGL library at runtime, this must be done before `SDL_SetVideoMode` is called. The `path` of the GL library is passed to `SDL_GL_LoadLibrary` and it returns 0 on success, or -1 on an error. You must then use `SDL_GL_GetProcAddress` to retrieve function pointers to GL functions.

## See Also

`SDL_GL_GetProcAddress`

Prev | Home | Next
SDL_ShowCursor | Up | SDL_GL_GetProcAddress